com.io7m.jtensors.core.parameterized.vectors

## Class PVector2F.Builder<T>

- java.lang.Object
- - com.io7m.jtensors.core.parameterized.vectors.PVector2F.Builder<T>

- Enclosing class:
    PVector2F<T>

      public static final class PVector2F.Builder<T>
      extends Object

  Builds instances of type `PVector2F`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

  `Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PVector2F<T>` | `build()` Builds a new `PVector2F`.
    `PVector2F.Builder<T>` | `from(PVector2FType<T> instance)` Fill a builder with attribute values from the provided `com.io7m.jtensors.core.parameterized.vectors.PVector2FType<T>` instance.
    `PVector2F.Builder<T>` | `from(VectorReadable2FType instance)` Fill a builder with attribute values from the provided `com.io7m.jtensors.core.unparameterized.vectors.VectorReadable2FType` instance.
    `PVector2F.Builder<T>` | `setX(float x)` Initializes the value for the `x` attribute.
    `PVector2F.Builder<T>` | `setY(float y)` Initializes the value for the `y` attribute.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### from

          public final PVector2F.Builder<T> from(VectorReadable2FType instance)

      Fill a builder with attribute values from the provided `com.io7m.jtensors.core.unparameterized.vectors.VectorReadable2FType` instance.
      Parameters:
        `instance` - The instance from which to copy values
      Returns:
        `this` builder for use in a chained invocation

    - #### from

          public final PVector2F.Builder<T> from(PVector2FType<T> instance)

      Fill a builder with attribute values from the provided `com.io7m.jtensors.core.parameterized.vectors.PVector2FType<T>` instance.
      Parameters:
        `instance` - The instance from which to copy values
      Returns:
        `this` builder for use in a chained invocation

    - #### setX

          public final PVector2F.Builder<T> setX(float x)

      Initializes the value for the `x` attribute.
      Parameters:
        `x` - The value for x
      Returns:
        `this` builder for use in a chained invocation

    - #### setY

          public final PVector2F.Builder<T> setY(float y)

      Initializes the value for the `y` attribute.
      Parameters:
        `y` - The value for y
      Returns:
        `this` builder for use in a chained invocation

    - #### build

          public PVector2F<T> build()

      Builds a new `PVector2F`.
      Returns:
        An immutable instance of PVector2F
      Throws:
        `IllegalStateException` - if any required attributes are missing

Copyright © 2017 <code@io7m.com> http://io7m.com